%define	upstream_name	 Array-RefElem
%define	upstream_version 1.00

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 37

Summary: 	Direct access to the internal perl routines for arrays & hashes
License: 	GPL
Group: 		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel



%description
This module gives direct access to the internal perl routines that let
you store reference to things in arrays and hashes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Array
%{perl_vendorarch}/auto/Array


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.0-37.mga10
+ Revision: 2225882
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.0.0-36.mga10
+ Revision: 2087980
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 1.0.0-35.mga10
+ Revision: 2011273
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 1.0.0-34.mga9
+ Revision: 1861537
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.0.0-33.mga9
+ Revision: 1795466
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.0.0-32.mga9
+ Revision: 1726389
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.0.0-31.mga8
+ Revision: 1594245
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-30.mga8
+ Revision: 1529349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.0.0-29.mga8
+ Revision: 1433331
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-28.mga7
+ Revision: 1291236
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 1.0.0-27.mga7
+ Revision: 1248943
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.0.0-26.mga7
+ Revision: 1163131
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.0.0-25.mga7
+ Revision: 1148642
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.0.0-24.mga7
+ Revision: 1127024
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-23.mga6
+ Revision: 1022575
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-22.mga6
+ Revision: 956680
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.0.0-21.mga6
+ Revision: 844141
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-20.mga5
+ Revision: 744316
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-19.mga5
+ Revision: 683548
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.0.0-18.mga5
+ Revision: 630798
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-17.mga4
+ Revision: 524702
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.0.0-16.mga4
+ Revision: 431367
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-15.mga3
+ Revision: 363167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0.0-14.mga3
+ Revision: 250268
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 1.0.0-13.mga2
+ Revision: 103451
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.0.0-12.mga1
+ Revision: 32721
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.0.0-11.mga1
+ Revision: 29790
- mageia rebuild
- imported package perl-Array-RefElem


* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 1.0.0-11mdv2011.0
+ Revision: 564956
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0.0-10mdv2011.0
+ Revision: 555421
- rebuild

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-9mdv2010.1
+ Revision: 504573
- rebuild using %%perl_convert_version

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.00-8mdv2010.0
+ Revision: 426416
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.00-7mdv2009.0
+ Revision: 223541
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.00-6mdv2008.1
+ Revision: 151396
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.00-5mdv2008.0
+ Revision: 64783
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.00-4mdv2007.0
+ Revision: 108764
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Array-RefElem

* Fri Jan 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.00-3mdk
- Rebuild, cleanup

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.00-2mdk
- Rebuild for new perl

* Thu Apr 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-1mdk
- 1.00
- add url
- cosmetics
- drop distribution tag

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.02-11mdk
- rebuild
- own dir

